#!/usr/bin/perl
use strict;
use warnings;
use Data::Dumper;

use Cwd;

use Test::More tests => 8;

require_ok 'Auth::Client';

my $cwd = Cwd::abs_path;

my $authclient = Auth::Client->new(
    sock_path => "$cwd/authd.sock",
);

isa_ok($authclient, 'Auth::Client');

ok((not $authclient->verify(userid => 'testuser1', password => 'testpass1')), q/unknown user doesn't verify/);

ok($authclient->set(userid => 'testuser1', password => 'testpass1'), 'set password');
ok($authclient->verify(userid => 'testuser1', password => 'testpass1'), q/known user does verify/);
ok((not $authclient->verify(userid => 'testuser1', password => 'testpass2')), q/known user with wrong pass doesn't verify/);
ok($authclient->delete(userid => 'testuser1'), 'delete user ok');
ok((not $authclient->verify(userid => 'testuser1', password => 'testpass1')), q/unknown user doesn't verify/);
